console.log("Hello from dzm_opc_salesbooster");

/* Calendar Portlet */
document.addEventListener('DOMContentLoaded', function() {
    // Selektiert alle Trigger-Elemente
    const ccTriggers = document.querySelectorAll('.dzm-ccal-door-additional-info-trigger');

    ccTriggers.forEach(function(trigger) {
        // Finde das zugehörige Info-Element.
        // Angenommen, das Info-Element ist ein direktes Geschwisterelement des Triggers.
        const info = trigger.nextElementSibling;

        trigger.addEventListener('click', function() {
            const infoText = trigger.querySelector('span');
            const icon = trigger.querySelector('i');

            // Toggelt die .active-Klasse für das entsprechende Info-Element
            info.classList.toggle('active');

            // Überprüft den aktuellen Text und wechselt zwischen "Info" und "Close"
            if (infoText.textContent === "Info") {
                infoText.textContent = "Close"; // Ändert den Text zu "Close"
                icon.className = "fas fa-times"; // Ändert das Icon zu einem "X"
            } else {
                infoText.textContent = "Info"; // Ändert den Text zurück zu "Info"
                icon.className = "fas fa-info-circle"; // Ändert das Icon zurück
            }
        });
    });
});