{*set time vars*}
{assign var="openDateTime" value=$instance->getProperty('openDateTime')}
{assign var="closeDateTime" value=$instance->getProperty('closeDateTime')}
{assign var="now" value="now"|date_format:"%Y-%m-%d %H:%M:%S"}
{assign var="openTimestamp" value=$openDateTime|strtotime}
{assign var="closeTimestamp" value=$closeDateTime|strtotime}
{assign var="currentTimestamp" value=$now|strtotime}
{*get img src*}
{assign var="imgClosed" value=$instance->getProperty('closedImg')}
{assign var="imgAttribsClosed" value=$instance->getImageAttributes($imgClosed, '', '')}
{assign var="imgOpen" value=$instance->getProperty('openImg')}
{assign var="imgAttribsOpen" value=$instance->getImageAttributes($imgOpen, '', '')}

<div class="dzm-ccal-door {if $instance->getProperty('animationStyle') === 'animation-3'}overflow-hidden{/if}" style="aspect-ratio: {$instance->getProperty('aspectRatio')};border-radius:{$instance->getProperty('borderRadius')}px;{$instance->getStyleString()}">
    {if $currentTimestamp < $openTimestamp}
       {*In Zukunft.*}
        <div style="background-image:url({$imgAttribsClosed.src});aspect-ratio: {$instance->getProperty('aspectRatio')};border-radius:{$instance->getProperty('borderRadius')}px;{$instance->getStyleString()}" class="dzm-ccal-door-content dzm-ccal-door-future d-flex h-100 w-100 justify-content-center align-items-center text-center">
            <div class="position-relative w-100 h-100 dzm-ccal-door-tag-wrapper overflow-hidden d-flex justify-content-center align-items-center">
                <div class="dzm-ccal-door-tag dzm-ccal-door-tag-closed position-absolute">Ab {$openDateTime|date_format:"%d.%m.%Y"}</div>
                <div class="text-center">
                    <p class="h1 text-center mb-0">{$instance->getProperty('contentClosed')}</p>
                </div>
            </div>
        </div>
    {elseif $currentTimestamp >= $openTimestamp && $currentTimestamp <= $closeTimestamp}
       {*Offen*}
        <div style="background-image:url({$imgAttribsOpen.src});aspect-ratio: {$instance->getProperty('aspectRatio')};border-radius:{$instance->getProperty('borderRadius')}px; box-shadow: 0 0 20px 8px rgba(0, 0, 0, {$instance->getProperty('insetShadow')}) inset;" class="dzm-ccal-door-content dzm-ccal-door-open d-flex h-100 w-100 justify-content-center align-items-center position-relative">
            {*Cover für Offen*}
            <div style="background-image:url({$imgAttribsClosed.src});aspect-ratio: {$instance->getProperty('aspectRatio')};border-radius:{$instance->getProperty('borderRadius')}px;" class="dzm-ccal-door-content dzm-ccal-door-open-cover dzm-ccal-door-{$instance->getProperty('animationStyle')} d-flex h-100 w-100 justify-content-center align-items-center">
                <div class="position-relative w-100 h-100 dzm-ccal-door-tag-wrapper overflow-hidden d-flex justify-content-center align-items-center">
                    <div style="color:{$instance->getProperty('ribbonOpenColor')};" class="dzm-ccal-door-tag dzm-ccal-door-tag-open position-absolute">Jetzt öffnen</div>
                    <div class="text-center">
                        <p class="h1 mb-0">{$instance->getProperty('contentClosed')} {*<br> <small>Zukunft</small>*}</p>
                    </div>
                </div>
            </div>
            <div class="dzm-ccal-door-content-open">
                {$instance->getProperty('contentOpen')}
            </div>
            {if $instance->getProperty('additionalInfo')}
            <div class="dzm-ccal-door-additional-info-wrapper position-absolute overflow-hidden" style="border-radius:{$instance->getProperty('borderRadius')}px;">
                <div class="dzm-ccal-door-additional-info-trigger position-absolute wow pulse  animated" style="animation-iteration-count: 999; animation-name: pulse;border-radius:calc({$instance->getProperty('borderRadius')}px / 3);">
                    <i class="fas fa-info-circle"></i><span>Info</span>
                </div>
                <div class="dzm-ccal-door-additional-info d-flex justify-content-center align-items-center flex-column" style="border-radius:{$instance->getProperty('borderRadius')}px;background-color:{$instance->getProperty('additionalBg')};">
                    {$instance->getProperty('additionalInfo')}
                </div>
            </div>
            {/if}
        </div>
    {else}
        {*Abgelaufen *}
        <div style="background-image:url({$imgAttribsClosed.src});aspect-ratio: {$instance->getProperty('aspectRatio')};{$instance->getStyleString()}" class="dzm-ccal-door-content dzm-ccal-door-closed d-flex h-100 w-100 justify-content-center align-items-center">
            <div class="position-relative w-100 h-100 dzm-ccal-door-tag-wrapper overflow-hidden d-flex justify-content-center align-items-center">
                <div style="color:{$instance->getProperty('ribbonClosedColor')};" class="dzm-ccal-door-tag position-absolute">Abgelaufen</div>
                <div class="text-center">
                    <p class="h1 text-center mb-0">{$instance->getProperty('contentClosed')} {*<br> <small>Abgelaufen</small>*}</p>
                </div>
            </div>
        </div>
    {/if}
</div>
